Skip to content

Changelog zope.exceptions (4.4-1)

2020

zope.exceptions (4.4-1) unstable; urgency=medium

   * QA upload.
   * New upstream version.
   * Bump debhelper and standards versions.

2019

zope.exceptions (4.3-2) unstable; urgency=medium

   * QA upload.
   * Remove the Python2 autopkg test.

zope.exceptions (4.3-1) unstable; urgency=medium

   * QA upload.
   * Orphan the package. Closes: #869460.
   * New upstream version.
   * Stop building the Python2 package. Closes: #938905.
   * Fix lintian warnings.

2015

zope.exceptions (4.0.8-1) unstable; urgency=medium

   * New upstream release.
   * d/copyright: Remove Files-Excluded header after upstream fixed their
     tarball to not include docs/_build artifacts.

zope.exceptions (4.0.7-2) unstable; urgency=medium

   * d/control: Bump Standards-Version with no other changes necessary.
   * d/watch: Use the pypi.debian.net redirector.

2014

zope.exceptions (4.0.7-1) unstable; urgency=low

   * Team upload.
 
   [ Gediminas Paulauskas ]
   * debian/rules: remove setuptools from requires.txt of python3 egg.
 
   [ Barry Warsaw ]
   * New upstream release.
   * d/control:
     - Added myself to Uploaders.
     - Updated Build-Depends.
     - Bumped Standards-Version with no other changes necessary.
     - Removed python-zope and python3-zope virtual dependencies.
     - wrap-and-sort
   * d/compat: Bumped to version 9.
   * d/rules: Convert to --buildsystem=pybuild
   * d/tests: Just make sure imports work.
   * d/copyright:
     - Fixed Format header.
     - Added Files-Excluded header to prune pre-built docs/_build directory

2013

zope.exceptions (4.0.6-1) unstable; urgency=low

   * Team upload.
 
   [ Arnaud Fontaine ]
   * debian/control:
     - Use canonical URI for Vcs-Svn.
   * debian/rules:
     - CHANGES.txt was renamed to CHANGES.rst.
     - setuptools is not in requires.txt so drop workaround (#688840).
 
   [ Gediminas Paulauskas ]
   * New upstream release.
   * debian/control:
     - remove Build-Depends on python3-zope.fixers, not needed since 4.0
     - bump Standards-Version to 3.9.4
     - enable autopkgtest. (Closes: #692696)
     - Bump X-Python-Version to 2.6 and X-Python3-Version to 3.2
   * debian/copyright: convert to copyright-format 1.0
   * debian/tests/control: remove Features, none exist.

2012

zope.exceptions (3.6.1-3) unstable; urgency=low

   * Team upload.
   * debian/rules:
     + Make sure that building fails if any python command fails.
     + Remove setuptools from requires.txt for Python3 only as dh_python2
       already take care of that. Closes: #688840.

2011

zope.exceptions (3.6.1-2) unstable; urgency=low

   * Team upload.
   * debian/control:
     + Add zope.fixers to Build-Depends (needed for Python 3 only).
       Closes: #628248.

zope.exceptions (3.6.1-1) unstable; urgency=low

   * Team upload.
 
   [ Arnaud Fontaine ]
   * debian/control:
     + Add Vcs-Browser and rename XS-Vcs-Svn to Vcs-Svn (now supported by dpkg).
     + Bump Standards-Version to 3.9.2. No changes needed.
     + Add Homepage field.
     + Bump python-all version required for dh_python2.
     + Build-Depends on debhelper >= 7.0.50~ because of "override_dh_".
   * Switch to 3.0 (quilt) source format.
 
   [ Brian Sutherland ]
   * Build for python3 as well.
   * Use dh_python2/3 rather than python-central (Closes: #617167)
   * Stop using python-van.pydeb as it doesn't work with python3 yet.

zope.exceptions (3.6.1-0ubuntu1) natty; urgency=low

   * New upstream release.
   * debian/control: build-depend on python-all, not python-all-dev.

2009

zope.exceptions (3.5.2-6) unstable; urgency=low

   [ Brian Sutherland ]
   * debian/tests/control: depend on python-zope.testing
 
   [ Fabio Tranchitella ]
   * Convert to debhelper 7 and the pydeb dh7 extension.

zope.exceptions (3.5.2-5) unstable; urgency=low

   * debian/control: build-depend on python-van.pydeb >= 1.3.0-2.
     (Closes: #552940)

zope.exceptions (3.5.2-4) unstable; urgency=low

    * Rebuild against van.pydeb 1.3.

zope.exceptions (3.5.2-3) unstable; urgency=low

   * debian/rules: do not depend on zope.testing to avoid circular dependencies.
     (Closes: #545860)

zope.exceptions (3.5.2-2) unstable; urgency=low

   * Set section to zope.
   * Rebuild against van.pydeb 1.3.

zope.exceptions (3.5.2-1) unstable; urgency=low

   * New upstream release
   * Add watch file
   * Change source package name
   * Standards-Version 3.8.1
   * Python-Version all
   * Build with the newer python-van.pydeb rather than python-
     vanguardistas.pydebdep

2008

python-zope.exceptions (3.4.0-1ubuntu1.1) etch-devel; urgency=low

   * Non-maintainer upload.
   * Rebuild for etch-devel

python-zope.exceptions (3.4.0-1ubuntu1) hardy; urgency=low

   * Re-build for hardy

2007

python-zope.exceptions (3.4.0-1) gutsy; urgency=low

   * Inital Release